#include "DeerStudio/EditorEngine/API/EditorEngine_Column.h"
#include "imgui.h"

namespace Deer {
    namespace EditorEngine {
        void setupAutomaticColumns(int pixelSize) {
            float width = ImGui::GetWindowContentRegionWidth();

            if (width < pixelSize) {
                ImGui::Columns();
                return;
            }

            int cols = (int)(width / (pixelSize));
            float componentWidth = width / (float)cols;

            ImGui::Columns(cols, 0, false);
        }

        void endColumns() {
            ImGui::Columns();
        }
        
        void nextColumn() {
            ImGui::NextColumn();
        }
    }
}