#include "DeerStudio/EditorEngine/API/EditorEngine_Text.h"
#include "imgui.h"

namespace Deer {
    namespace EditorEngine {
        void textColor(float r, float g, float b, std::string& msg) {
            ImGui::TextColored(ImVec4(r, g, b, 1.0f), "%s", msg.c_str());
        }

        void text(std::string& msg) {
            ImGui::Text("%s", msg.c_str());
        }

        void textCentered(std::string& msg) {
            float sizeX;
            if (ImGui::GetColumnsCount() > 1)
                sizeX = ImGui::GetColumnWidth(-1);
            else
                sizeX = ImGui::GetContentRegionAvail().x;
        
            float textWidth = ImGui::CalcTextSize(msg.c_str(), nullptr, false).x;
            float padding = (sizeX - textWidth) * 0.5f;

            if (padding > 0.0f)
                ImGui::SetCursorPosX(ImGui::GetCursorPosX() + padding);
                
            ImGui::Text("%s", msg.c_str());
        }
    }
}